Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::PdfString Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfString (const String &val)
virtual const PdfString * | string () const
virtual void | write (Stream &stream) const
String | value () const
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const
virtual const PdfBool * | boolean () const
virtual const PdfNumber * | number () const
virtual const PdfName * | name () const
virtual const PdfRef * | ref () const
virtual const PdfArray * | array () const
virtual const PdfDict * | dict () const
String | repr () const

## Detailed Description

The PDF string object.

## Constructor & Destructor Documentation

ipe::PdfString::PdfString | ( | const String & | val | ) |

inline explicit

## Member Function Documentation

const PdfString * PdfString::string | ( |  | ) | const

virtual

Return this object as PDF string object.

Reimplemented from ipe::PdfObj.

void PdfString::write | ( | Stream & | stream | ) | const

virtual

Implements ipe::PdfObj.

String ipe::PdfString::value | ( |  | ) | const

inline

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp